package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ConexionCtrl;
import com.rjconsultores.ventaboletos.entidad.PricingConexao;
import com.rjconsultores.ventaboletos.vo.parada.ParadaVOConexionRuta;

public interface ConexionCtrlService extends GenericService<ConexionCtrl, Long> {
	
	public List<ConexionCtrl> buscarConexionesCtrl(Integer origenId, Integer destinoId);

	public void suscribirTodos(List<ConexionCtrl> conexionCtrlList);

	public List<ConexionCtrl> buscarTodasConexionesCtrlPricing();

	public List<ParadaVOConexionRuta> carregarConexoesCadastradas(Long conexionctrlId);

	public List<ParadaVOConexionRuta> carregarConexoesCadastradas(Integer origenId, Integer destinoId, Long conexionctrlId);

	public void limparPesquisaPricingConexao(Integer pricingId);

}
